### Method

# Clutter ColorState do_transform

#### Declaration [src]

    void
    clutter_color_state_do_transform (
      ClutterColorState* color_state,
      ClutterColorState* target_color_state,
      const float* input,
      float* output,
      int n_samples
    )

#### Description

No description available.

#### Parameters

`target_color_state`

  Type: `ClutterColorState`

  No description available.

  The data is owned by the caller of the method.

`input`

  Type: `const float*`

  No description available.

  The data is owned by the caller of the method.

`output`

  Type: `float*`

  No description available.

  The data is owned by the caller of the method.

`n_samples`

  Type: `int`

  No description available.